Go to index page.

# gifclip

A program to clip images in GIF files. Only one image in a GIF file can be modified at a time. Neither the image position on screen nor the screen size is modified (use gifpos for that).

# Usage:

    gifclip [-q] [-i Xmin Ymin Xmax Ymax] [-n n Xmin Ymin Xmax Ymax] [-c] [-h] gif-file

If no gif-file is given, GifClip will try to read a GIF file from stdin.

# Memory required:

Line.

# Options:

[-q]
  Quiet mode. Default off on MSDOS, on under UNIX. Controls printout of running scan lines. Use -q- to invert.

[-i Xmin Ymin Xmax Ymax]
  Clip first image to the dimensions as specified by the 4 coordinates (Xmin Ymin Xmax Ymax) of a box clipping region.

  For example: '-i 11 22 33 44' will crop the box from top left [11,22] to bottom right [33,44] out of the first image.

  If the first parameter is bigger than third one (Xmin > Xmax) they are swapped. Same for Y.

  The dimensions of the clipped image must be confined to original image width and height. Note the clipped image includes both the min & max boundary; an image of width W can have coordinates 0 to W-1 (zero based).

  Only one of -i or -n can be specified.

[-n n Xmin Ymin Xmax Ymax]
  Same as -i above but for the nth image: `-n 1 11 22 33 44' is exactly the same as the example in -i. Only one of -i or -n can be specified.

[-c]
  Complement. This removes horizontal and/or vertical bands of the image. For example `-c -i 638 3 658 13' would remove a horizontal band 11 pixels deep beginning at raster line 3, and a vertical band 21 pixels right beginning at pixel 658.

[-h]
  Print one line of command line help, similar to Usage above.

Note: all coordinates are 0-based --- the top left corner is (0, 0).

# Author:

Gershon Elber